import {request} from '@/utils/request.js'

// ​/qx​/addOrder
// 下单
export function addOrder(data) {
	return request({
		url: '/springbatchservice/qx/addOrder',
		method: 'post',
		data
	})
}

// /qx/cancelOrder
// 取消订单
export function cancelOrder(data) {
	return request({
		url: '/springbatchservice/qx/cancelOrder',
		method: 'post',
		data
	})
}

// /qx/driverLocation
// 司机位置
export function driverLocation(data) {
	return request({
		url: '/springbatchservice/qx/driverLocation',
		method: 'post',
		data
	})
}

// /qx/driverLocationLog
// 司机位置日志
export function driverLocationLog(data) {
	return request({
		url: '/springbatchservice/qx/driverLocationLog',
		method: 'post',
		data
	})
}

// /qx/orderDelit/{orderId}
// 订单详情
export function orderDelit(data) {
	return request({
		url: '/springbatchservice/qx/orderDelit/'+data,
		method:'get'
	})
}

// /qx/orderList
// 订单列表
export function orderList(data) {
	return request({
		url: '/springbatchservice/qx/orderList',
		method: 'post',
		data
	})
}